Bug 1315658 - Spurious failure in mount-nfs-auth.t
Spurious failure in mount-nfs-auth.t
Status: POST
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
mainline
All NetBSD
medium Severity medium
: ---
: ---
Assigned To: Niels de Vos
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 06:17 EST by Jiffin
Modified: 2016-08-10 06:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiffin 2016-03-08 06:17:48 EST
Description of problem:
Test no 33 in mount-nfs-auth.t frequently fails for NETBSD machine.  

Version-Release number of selected component (if applicable):
mainline

How reproducible:
very rare when the test is ran individually

Steps to Reproduce:
1.
2.
3.

Additional info:
There is very small race in the code.
The export entries and netgroup entries are updated from separate thread. During this updation all the clients will be rejected. If the TEST 33(which perform subsequent large write) came into this period it got rejected.
Comment 1 Vijay Bellur 2016-03-08 08:00:10 EST
REVIEW: http://review.gluster.org/13649 (tests : Removing spurious test case in mount-nfs-auth.t) posted (#1) for review on master by jiffin tony Thottan (jthottan@redhat.com)
Comment 2 Mike McCune 2016-03-28 18:50:27 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 3 Niels de Vos 2016-08-07 11:50:47 EDT
I think I found a potential fix for this. Will re-use the Change-Id if I have a fix, or at least verify that your patch prevents spurious failures.

Thanks!
Comment 4 Vijay Bellur 2016-08-09 10:58:20 EDT
REVIEW: http://review.gluster.org/13649 (nfs/auth: add locking in mnt3_auth_host) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 5 Vijay Bellur 2016-08-10 06:53:12 EDT
REVIEW: http://review.gluster.org/13649 (nfs/auth: add locking in mnt3_auth_host) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.